package de.avatic.taricdb.model;

import org.springframework.data.annotation.Id;
import org.springframework.data.jdbc.core.mapping.AggregateReference;
import org.springframework.data.relational.core.mapping.Column;

import jakarta.validation.constraints.NotNull;


public class MeasureExclusion {

	@Id
    private Integer id;
    
    @NotNull
    @Column("geo_id")
    private AggregateReference<Geo, Integer> geo;
    
	public MeasureExclusion(AggregateReference<Geo, Integer> geo) {
    	this.geo = geo;
	}

    public Integer getId() {
        return id;
    }

    public void setId(final Integer id) {
        this.id = id;
    }

    public AggregateReference<Geo, Integer> getGeo() {
        return geo;
    }

    public void setGeo(final AggregateReference<Geo, Integer> geo) {
        this.geo = geo;
    }

}
